#version 330 core

in VertexData {
    flat uint objectId;
    vec4 color;
} inData;

out vec4 FragmentColor;

uniform bool uLookupColor = false;

uniform samplerBuffer u_colors;


void main()
{
    vec4 objectColor = inData.color;

    if (uLookupColor) {
        objectColor = texelFetch(u_colors, int(inData.objectId));
    }

    FragmentColor = vec4(objectColor.rgb, 1);
}
